Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security
Interface TrustVerifier.Context

Enclosing interface:
  TrustVerifier

public static interface TrustVerifier.Context

Defines the context for trust verification used by `TrustVerifier` instances and `Security.verifyObjectTrust`. A context contains an ordered list of `TrustVerifier` instances, a class loader, and a collection of other context objects typically provided by the caller of `Security.verifyObjectTrust`.

Since:
  2.0

Method Summary
`Collection` | `getCallerContext()` Returns a collection of context objects for use by trust verifiers.
`ClassLoader` | `getClassLoader()` Returns the class loader that can be used as a basis for trust verification.
`boolean` | `isTrustedObject(Object obj)` Returns `true` if the specified object is trusted to correctly implement its contract; returns `false` otherwise.

Method Detail

### isTrustedObject

    public boolean isTrustedObject(Object obj)
                            throws RemoteException

  Returns `true` if the specified object is trusted to correctly implement its contract; returns `false` otherwise.

  If the specified object is `null`, this method returns `true`. Otherwise, the `isTrustedObject` method of each verifier contained in this context is called (in order) with the specified object and this context. If any verifier call returns `true`, the object is trusted and this method returns `true`. If all of the verifier calls return `false`, this method returns `false`. If one or more verifier calls throw a `RemoteException` or `SecurityException`, the last such exception is thrown to the caller (unless some verifier call returns `true`).

  Parameters:
    `obj` - the object in which to verify trust
  Returns:
    `true` if the specified object is trusted to correctly implements its contract; `false` otherwise
  Throws:
    `RemoteException` - if a communication-related exception occurs
    `SecurityException` - if a security exception occurs

### getClassLoader

    public ClassLoader getClassLoader()

  Returns the class loader that can be used as a basis for trust verification. In particular, classes and resources reachable from this class loader can be assumed to be trustworthy. A `null` value is interpreted to mean the current context class loader.

  Returns:
    the class loader that can be used as a basis for trust verification

### getCallerContext

    public Collection getCallerContext()

  Returns a collection of context objects for use by trust verifiers. The meaning of an element in this collection is determined by its type. As a specific example, a `MethodConstraints` instance could be used to specify client constraints for any remote calls that trust verifiers might need to perform.

  Returns:
    a collection of context objects for use by trust verifiers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved